package nc.ui.gl.summarylist;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Container;
import java.awt.Dimension;
import java.awt.Insets;
import java.awt.LayoutManager;
import java.awt.Rectangle;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import java.util.HashMap;
import java.util.Map;
import java.util.Vector;
import javax.swing.JFrame;
import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;
import nc.itf.fi.pub.Accperiod;
import nc.ui.gl.accbook.CopyTwoTableUtil;
import nc.ui.gl.accbook.TableFormatTackle;
import nc.ui.gl.common.CompConsts;
import nc.ui.gl.summarylist.ButtonKey;
import nc.ui.gl.summarylist.QueryDlg;
import nc.ui.gl.summarylist.SummaryListView;
import nc.ui.gl.summarylist.TableModel;
import nc.ui.glcom.displayformattool.ShowContentCenter;
import nc.ui.glcom.numbertool.GlNumberFormat;
import nc.ui.ml.NCLangRes;
import nc.ui.pub.ClientEnvironment;
import nc.ui.pub.beans.MessageDialog;
import nc.ui.pub.beans.UIDialogEvent;
import nc.ui.pub.beans.UIDialogListener;
import nc.ui.pub.beans.UILabel;
import nc.ui.pub.beans.UIPanel;
import nc.ui.pub.beans.UITable;
import nc.ui.pub.beans.UITablePane;
import nc.ui.pub.beans.UITextField;
import nc.ui.pub.bill.panel.PanelContent;
import nc.ui.pub.print.IDataSource;
import nc.ui.pub.print.PrintEntry;
import nc.vo.bd.b54.GlorgbookVO;
import nc.vo.gl.accbook.ColFormatVO;
import nc.vo.gl.detailbooks.CAssTool;
import nc.vo.gl.summarylist.DisplayDataVO;
import nc.vo.gl.summarylist.TableVO;
import nc.vo.glcom.ass.AssVO;
import nc.vo.glcom.balance.GlDetailVO;
import nc.vo.glcom.balance.GlQueryVO;
import nc.vo.glcom.tools.GLPubProxy;
import nc.vo.pub.BusinessException;
import nc.vo.pub.lang.UFDouble;

public class TableUI extends UIPanel implements ListSelectionListener, UIDialogListener, IDataSource {

   private UIPanel ivjUIPanel1 = null;
   private UITablePane ivjUITablePane1 = null;
   private UILabel ivjUILabel1 = null;
   private UITextField ivjUILabel2 = null;
   private UILabel ivjUILabel3 = null;
   private UITextField ivjUILabel4 = null;
   private TableModel m_model = null;
   private SummaryListView parentView = null;
   private QueryDlg ivjDlg = null;
   private UILabel ivjUILabel5 = null;
   private UITextField ivjUILabel6 = null;
   private DisplayDataVO otherQueryData = null;
   private GlQueryVO qryVO = null;


   public TableUI() {
      this.initialize();
   }

   public TableUI(SummaryListView thisParentView) {
      this.setParentView(thisParentView);
      this.initialize();
   }

   public TableUI(LayoutManager p0) {
      super(p0);
   }

   public TableUI(LayoutManager p0, boolean p1) {
      super(p0, p1);
   }

   public TableUI(boolean p0) {
      super(p0);
   }

   private UILabel getUILabel1() {
      if(this.ivjUILabel1 == null) {
         try {
            this.ivjUILabel1 = new UILabel();
            this.ivjUILabel1.setName("UILabel1");
            this.ivjUILabel1.setToolTipText(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000106"));
            this.ivjUILabel1.setTranslate(true);
            this.ivjUILabel1.setText(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000106"));
            this.ivjUILabel1.setILabelType(1);
            this.ivjUILabel1.setBoundsAutoSize(CompConsts.getListAboveEmpH(), CompConsts.getListAboveEmpV());
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjUILabel1;
   }

   private UITextField getUILabel2() {
      if(this.ivjUILabel2 == null) {
         try {
            this.ivjUILabel2 = new UITextField();
            this.ivjUILabel2.setName("UILabel2");
            this.ivjUILabel2.setToolTipText("");
            this.ivjUILabel2.setBounds(CompConsts.getXByBefore(this.getUILabel5(), 0), this.getUILabel1().getY(), CompConsts.getTextFieldWidth() * 2, CompConsts.getTextHeight());
            this.ivjUILabel2.setText("");
            this.ivjUILabel2.setForeground(new Color(0, 0, 0));
            this.ivjUILabel2.setEditable(false);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjUILabel2;
   }

   private UILabel getUILabel3() {
      if(this.ivjUILabel3 == null) {
         try {
            this.ivjUILabel3 = new UILabel();
            this.ivjUILabel3.setName("UILabel3");
            this.ivjUILabel3.setToolTipText(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000308"));
            this.ivjUILabel3.setTranslate(true);
            this.ivjUILabel3.setText(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000308"));
            this.ivjUILabel3.setILabelType(1);
            this.ivjUILabel3.setBoundsAutoSize(this.getUILabel1().getX(), CompConsts.getYByBefore(this.getUILabel1()));
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjUILabel3;
   }

   private UITextField getUILabel4() {
      if(this.ivjUILabel4 == null) {
         try {
            this.ivjUILabel4 = new UITextField();
            this.ivjUILabel4.setName("UILabel4");
            this.ivjUILabel4.setToolTipText("");
            this.ivjUILabel4.setBounds(this.getUILabel2().getX(), this.getUILabel3().getY(), this.getUILabel2().getWidth() * 2, this.getUILabel2().getHeight());
            this.ivjUILabel4.setText("");
            this.ivjUILabel4.setEditable(false);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjUILabel4;
   }

   private UIPanel getUIPanel1() {
      if(this.ivjUIPanel1 == null) {
         try {
            this.ivjUIPanel1 = new UIPanel();
            this.ivjUIPanel1.setName("UIPanel1");
            this.ivjUIPanel1.setLayout((LayoutManager)null);
            PanelContent.getTopPanel(this.ivjUIPanel1, 3);
            this.getUIPanel1().add(this.getUILabel1(), this.getUILabel1().getName());
            this.getUIPanel1().add(this.getUILabel3(), this.getUILabel3().getName());
            this.getUIPanel1().add(this.getUILabel5(), this.getUILabel5().getName());
            this.getUIPanel1().add(this.getUILabel2(), this.getUILabel2().getName());
            this.getUIPanel1().add(this.getUILabel4(), this.getUILabel4().getName());
            this.getUIPanel1().add(this.getUILabel6(), this.getUILabel6().getName());
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjUIPanel1;
   }

   private UITablePane getUITablePane1() {
      if(this.ivjUITablePane1 == null) {
         try {
            this.ivjUITablePane1 = new UITablePane();
            this.ivjUITablePane1.setName("UITablePane1");
            this.ivjUITablePane1.setAutoscrolls(true);
            this.ivjUITablePane1.setOpaque(true);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjUITablePane1;
   }

   private void handleException(Throwable exception) {
      exception.printStackTrace(System.out);
   }

   private void initialize() {
      try {
         this.setName("TableUI");
         this.setAutoscrolls(true);
         this.setBounds(new Rectangle(0, 0, 781, 434));
         this.setLayout(new BorderLayout());
         this.setSize(781, 537);
         this.setMinimumSize(new Dimension(781, 537));
         this.add(this.getUIPanel1(), "North");
         this.add(this.getUITablePane1(), "Center");
      } catch (Throwable var2) {
         this.handleException(var2);
      }

      this.initHead();
      this.initTable();
      CopyTwoTableUtil.getInstance().replaceCopy(this.getUITablePane1().getTable(), (UITable)null);
   }

   public static void main(String[] args) {
      try {
         JFrame exception = new JFrame();
         TableUI aTableUI = new TableUI();
         exception.setContentPane(aTableUI);
         exception.setSize(aTableUI.getSize());
         exception.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
               System.exit(0);
            }
         });
         exception.show();
         Insets insets = exception.getInsets();
         exception.setSize(exception.getWidth() + insets.left + insets.right, exception.getHeight() + insets.top + insets.bottom);
         exception.setVisible(true);
      } catch (Throwable var4) {
         System.err.println("nc.ui.pub.beans.UIPanel 的 main() 中发生异常");
         var4.printStackTrace(System.out);
      }

   }

   public void valueChanged(ListSelectionEvent e) {
   }

   public void dialogClosed(UIDialogEvent event) {
      if(event.getSource() == this.ivjDlg) {
         if(event.m_Operation == 202) {
            this.getParentView().showHintMessage(NCLangRes.getInstance().getStrByID("commonres", "UC001-0000006") + NCLangRes.getInstance().getStrByID("commonres", "UCH026"));
            return;
         }

         if(event.m_Operation == 204) {
            this.ivjDlg.getFreeValueList().fireEditingStopped();
            this.qryVO = this.ivjDlg.getQryVO();
            this.otherQueryData = this.ivjDlg.getDisplayDataVO();

            try {
               this.validate(this.qryVO, this.otherQueryData);
            } catch (Exception var3) {
               MessageDialog.showErrorDlg(this, NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000444"), var3.getMessage());
               return;
            }

            this.initHead();
            this.setQueryVO(this.qryVO);
            this.getUITablePane1().getTable().updateUI();
            this.getUITablePane1().getTable().invalidate();
            this.getUITablePane1().getTable().validate();
            this.getUITablePane1().getTable().repaint(0, 0, 800, 600);
            this.getParentView().showHintMessage(NCLangRes.getInstance().getStrByID("commonres", "UC001-0000006") + NCLangRes.getInstance().getStrByID("commonres", "UCH026"));
         }
      }

   }

   public String[] getAllDataItemExpress() {
      return new String[]{"explanation", "initamount_d", "initamount_l", "debit", "loan", "endamount_d", "endamount_l", "subjectinfo", "assinfo", "periodinfo"};
   }

   public String[] getAllDataItemNames() {
      return null;
   }

   public String[] getDependentItemExpressByExpress(String itemName) {
      return null;
   }

   private QueryDlg getDlg() {
      if(this.ivjDlg == null) {
         try {
            this.ivjDlg = new QueryDlg(this);
            this.ivjDlg.setName("Dlg");
            this.ivjDlg.setDefaultCloseOperation(2);
            this.ivjDlg.addUIDialogListener(this);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjDlg;
   }

   public String[] getItemValuesByExpress(String itemExpress) {
      String[] ret = null;
      if(itemExpress.equals("subjectinfo")) {
         ret = new String[]{this.getUILabel2().getText()};
      } else if(itemExpress.equals("assinfo")) {
         ret = new String[]{this.getUILabel4().getText()};
      } else if(itemExpress.equals("periodinfo")) {
         ret = new String[]{this.getUILabel6().getText()};
      } else {
         int rowCount = this.getTableModel().getRowCount();
         ret = new String[rowCount];

         for(int i = 0; i < rowCount; ++i) {
            byte iKey = 0;

            try {
               if(itemExpress.equals("explanation")) {
                  iKey = 0;
               }

               if(itemExpress.equals("year")) {
                  iKey = 7;
               }

               if(itemExpress.equals("initamount_d")) {
                  iKey = 1;
               }

               if(itemExpress.equals("initamount_l")) {
                  iKey = 2;
               }

               if(itemExpress.equals("debit")) {
                  iKey = 3;
               }

               if(itemExpress.equals("loan")) {
                  iKey = 4;
               }

               if(itemExpress.equals("endamount_d")) {
                  iKey = 5;
               }

               if(itemExpress.equals("endamount_l")) {
                  iKey = 6;
               }

               Object e = null;
               switch(iKey) {
               case 0:
               case 7:
                  e = this.getTableModel().getValue(i, iKey);
                  break;
               case 1:
               case 2:
               case 3:
               case 4:
               case 5:
               case 6:
                  e = GlNumberFormat.formatUFDouble((UFDouble)this.getTableModel().getValue(i, iKey));
               }

               ret[i] = e == null?"":e.toString();
            } catch (Exception var7) {
               var7.printStackTrace();
            }
         }
      }

      return ret;
   }

   public String getModuleName() {
      return "20022001";
   }

   public DisplayDataVO getOtherQueryDataVO() {
      return this.otherQueryData;
   }

   public GlQueryVO getQueryVO() {
      return this.qryVO;
   }

   public TableModel getTableModel() {
      return this.m_model;
   }

   private UILabel getUILabel5() {
      if(this.ivjUILabel5 == null) {
         try {
            this.ivjUILabel5 = new UILabel();
            this.ivjUILabel5.setName("UILabel5");
            this.ivjUILabel5.setText(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000445"));
            this.ivjUILabel5.setBoundsAutoSize(this.getUILabel3().getX(), CompConsts.getYByBefore(this.getUILabel3()));
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjUILabel5;
   }

   private UITextField getUILabel6() {
      if(this.ivjUILabel6 == null) {
         try {
            this.ivjUILabel6 = new UITextField();
            this.ivjUILabel6.setName("UILabel6");
            this.ivjUILabel6.setText("");
            this.ivjUILabel6.setBounds(this.getUILabel2().getX(), this.getUILabel5().getY(), CompConsts.getTextFieldWidth(), this.getUILabel2().getHeight());
            this.ivjUILabel6.setEditable(false);
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjUILabel6;
   }

   private ColFormatVO[] initColFormatVO() {
      byte colNum = 8;
      ColFormatVO[] colFormats = new ColFormatVO[colNum];
      byte iCol = 0;
      colFormats[iCol] = new ColFormatVO();
      colFormats[iCol].setColKey(7);
      colFormats[iCol].setColName(NCLangRes.getInstance().getStrByID("20023030", "UC000-0001787"));
      colFormats[iCol].setColWidth(50);
      colFormats[iCol].setFrozen(false);
      colFormats[iCol].setVisiablity(true);
      colFormats[iCol].setAlignment(2);
      colFormats[iCol].setMultiHeadStr((String)null);
      colFormats[iCol].setDataType(2);
      int var4 = iCol + 1;
      colFormats[var4] = new ColFormatVO();
      colFormats[var4].setColKey(0);
      colFormats[var4].setColName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000009"));
      colFormats[var4].setColWidth(120);
      colFormats[var4].setFrozen(false);
      colFormats[var4].setVisiablity(true);
      colFormats[var4].setAlignment(2);
      colFormats[var4].setMultiHeadStr((String)null);
      colFormats[var4].setDataType(2);
      ++var4;
      colFormats[var4] = new ColFormatVO();
      colFormats[var4].setColKey(1);
      colFormats[var4].setColName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000074"));
      colFormats[var4].setColWidth(85);
      colFormats[var4].setFrozen(false);
      colFormats[var4].setVisiablity(true);
      colFormats[var4].setAlignment(4);
      colFormats[var4].setMultiHeadStr(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000459"));
      colFormats[var4].setDataType(1);
      ++var4;
      colFormats[var4] = new ColFormatVO();
      colFormats[var4].setColKey(2);
      colFormats[var4].setColName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000076"));
      colFormats[var4].setColWidth(85);
      colFormats[var4].setFrozen(false);
      colFormats[var4].setVisiablity(true);
      colFormats[var4].setAlignment(4);
      colFormats[var4].setMultiHeadStr(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000459"));
      colFormats[var4].setDataType(1);
      ++var4;
      colFormats[var4] = new ColFormatVO();
      colFormats[var4].setColKey(3);
      colFormats[var4].setColName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000074"));
      colFormats[var4].setColWidth(60);
      colFormats[var4].setFrozen(false);
      colFormats[var4].setVisiablity(true);
      colFormats[var4].setAlignment(4);
      colFormats[var4].setMultiHeadStr((String)null);
      colFormats[var4].setDataType(1);
      ++var4;
      colFormats[var4] = new ColFormatVO();
      colFormats[var4].setColKey(4);
      colFormats[var4].setColName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000076"));
      colFormats[var4].setColWidth(60);
      colFormats[var4].setFrozen(false);
      colFormats[var4].setVisiablity(true);
      colFormats[var4].setAlignment(4);
      colFormats[var4].setMultiHeadStr((String)null);
      colFormats[var4].setDataType(1);
      ++var4;
      colFormats[var4] = new ColFormatVO();
      colFormats[var4].setColKey(5);
      colFormats[var4].setColName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000074"));
      colFormats[var4].setColWidth(85);
      colFormats[var4].setFrozen(false);
      colFormats[var4].setVisiablity(true);
      colFormats[var4].setAlignment(4);
      colFormats[var4].setMultiHeadStr(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000048"));
      colFormats[var4].setDataType(1);
      ++var4;
      colFormats[var4] = new ColFormatVO();
      colFormats[var4].setColKey(6);
      colFormats[var4].setColName(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000076"));
      colFormats[var4].setColWidth(85);
      colFormats[var4].setFrozen(false);
      colFormats[var4].setVisiablity(true);
      colFormats[var4].setAlignment(4);
      colFormats[var4].setMultiHeadStr(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000048"));
      colFormats[var4].setDataType(1);
      return colFormats;
   }

   public void initHead() {
      if(this.getQueryVO() != null) {
         String subjCodeAndName = ShowContentCenter.getShowAccsubj(this.getQueryVO().getPk_glorgbook()[0], this.getQueryVO().getPk_accsubj()[0]);
         AssVO[] assVOs = ((GlQueryVO)this.getQueryVO().clone()).getAssVos();

         try {
            CAssTool.convertNull(assVOs, new int[]{5, 6}, "");
         } catch (Exception var5) {
            var5.printStackTrace();
         }

         String disStr = ShowContentCenter.getShowAss(this.getQueryVO().getPk_glorgbook()[0], assVOs);
         String period = this.getQueryVO().getYear() + "." + this.getQueryVO().getPeriod() + "-" + this.getQueryVO().getEndYear() + "." + this.getQueryVO().getEndPeriod();
         this.getUILabel2().setText(this.getQueryVO().getSubjCodes() == null?"":subjCodeAndName);
         this.getUILabel4().setText(this.getQueryVO().getAccsubjCode() == null?"":disStr);
         this.getUILabel6().setText(period);
      }

   }

   private void initTable() {
      UITable table = this.getUITablePane1().getTable();
      this.m_model = new TableModel();
      ColFormatVO[] colVOs = this.initColFormatVO();
      TableFormatTackle vo = new TableFormatTackle();
      vo.setColFormatVO(colVOs);
      this.m_model.setFormatVO(vo);
      table.setModel(this.m_model);
      vo.setColWidth(table);
      vo.setAlignment(table);
      vo.setVisiablity(table);
      vo.setMultiHead(table);
      table.setAutoscrolls(true);
      table.setAutoResizeMode(0);
   }

   public boolean isNumber(String itemExpress) {
      return false;
   }

   private void print() throws Exception {
      PrintEntry printEntry = new PrintEntry((Container)null, this);
      String pk_user = ClientEnvironment.getInstance().getUser().getPrimaryKey();
      String pk_corp = ClientEnvironment.getInstance().getCorporation().getPk_corp();
      String pk_glorgbook = ((GlorgbookVO)ClientEnvironment.getInstance().getValue("pk_glorgbook")).m_pk_glorgbook;
      printEntry.setTemplateID(pk_glorgbook, "20023025", pk_user, (String)null, (String)null, "2");
      printEntry.preview();
      this.getParentView().showHintMessage(NCLangRes.getInstance().getStrByID("commonres", "UC001-0000007") + NCLangRes.getInstance().getStrByID("commonres", "UCH026"));
   }

   private void setOtherQueryDataVO(DisplayDataVO newOtherData) {
      this.otherQueryData = newOtherData;
   }

   public void setQueryVO(GlQueryVO newQueryVO) {
      try {
         this.qryVO = newQueryVO;
         Map err;
         TableVO[] v1;
         int totalYear;
         if(!newQueryVO.getYear().equals(newQueryVO.getEndYear())) {
            err = null;
            v1 = null;
            int tempv = Integer.parseInt(this.qryVO.getEndYear());
            int tempVos = Integer.parseInt(this.qryVO.getYear());
            totalYear = tempv - tempVos;
            Vector tempvData = new Vector();
            GlQueryVO d = (GlQueryVO)newQueryVO.clone();
            d.setEndYear(d.getYear());
            d.setEndPeriod(Accperiod.getLastMonthByGlorgbookAndYear(d.getBaseGlOrgBook(), d.getYear()));
            Map data1 = this.getDetailVOS(d);
            TableVO[] v11 = this.getTableModel().changeVOReturnTableVO((GlDetailVO[])((GlDetailVO[])data1.get("vo1s")), (GlDetailVO[])((GlDetailVO[])data1.get("vo2s")), this.otherQueryData);
            if(v11 != null) {
               TableVO[] tempqvo2 = v11;
               int data2 = v11.length;

               for(int v2 = 0; v2 < data2; ++v2) {
                  TableVO tempVos1 = tempqvo2[v2];
                  tempVos1.setYear(d.getYear());
                  tempvData.add(tempVos1);
               }
            }

            for(int var25 = 1; var25 < totalYear; ++var25) {
               String var27 = tempVos + var25 + "";
               GlQueryVO var29 = (GlQueryVO)this.qryVO.clone();
               var29.setYear(var27);
               var29.setEndYear(var27);
               var29.setPeriod("01");
               var29.setEndPeriod(Accperiod.getLastMonthByGlorgbookAndYear(var29.getBaseCorp(), var29.getYear()));
               Map var31 = this.getDetailVOS(var29);
               TableVO[] curruntv = this.getTableModel().changeVOReturnTableVO((GlDetailVO[])((GlDetailVO[])var31.get("vo1s")), (GlDetailVO[])((GlDetailVO[])var31.get("vo2s")), this.otherQueryData);
               if(curruntv != null) {
                  TableVO[] var16 = curruntv;
                  int d1 = curruntv.length;

                  for(int var18 = 0; var18 < d1; ++var18) {
                     TableVO d2 = var16[var18];
                     d2.setYear(var29.getYear());
                     tempvData.add(d2);
                  }
               }
            }

            GlQueryVO var26 = (GlQueryVO)newQueryVO.clone();
            var26.setYear(var26.getEndYear());
            var26.setPeriod("01");
            Map var28 = this.getDetailVOS(var26);
            TableVO[] var30 = this.getTableModel().changeVOReturnTableVO((GlDetailVO[])((GlDetailVO[])var28.get("vo1s")), (GlDetailVO[])((GlDetailVO[])var28.get("vo2s")), this.otherQueryData);
            TableVO[] var32;
            if(var30 != null) {
               var32 = var30;
               int var33 = var30.length;

               for(int var34 = 0; var34 < var33; ++var34) {
                  TableVO var35 = var32[var34];
                  var35.setYear(var26.getYear());
                  tempvData.add(var35);
               }
            }

            var32 = (TableVO[])((TableVO[])tempvData.toArray(new TableVO[tempvData.size()]));
            this.getTableModel().setDataFormatNumber(var32);
            this.setTableColVisibility(new int[]{7}, true);
         } else {
            err = this.getDetailVOS(newQueryVO);
            v1 = this.getTableModel().changeVOReturnTableVO((GlDetailVO[])((GlDetailVO[])err.get("vo1s")), (GlDetailVO[])((GlDetailVO[])err.get("vo2s")), this.otherQueryData);
            Vector var21 = new Vector();
            TableVO[] var22 = v1;
            totalYear = v1.length;

            for(int var23 = 0; var23 < totalYear; ++var23) {
               TableVO var24 = var22[var23];
               var24.setYear(newQueryVO.getYear());
               var21.add(var24);
            }

            var22 = (TableVO[])((TableVO[])var21.toArray(new TableVO[var21.size()]));
            this.getTableModel().setDataFormatNumber(var22);
            this.setTableColVisibility(new int[]{7}, false);
         }
      } catch (Exception var20) {
         var20.printStackTrace();
      }

   }

   protected void setTableColVisibility(int[] colsNum, boolean isVisiabled) {
      UITable table = this.getUITablePane1().getTable();
      TableFormatTackle vo = ((TableModel)table.getModel()).getFormatVO();
      ColFormatVO[] colFormats = vo.getColFormatVOs();
      int i = 0;

      while(i < colsNum.length) {
         int j = 0;

         while(true) {
            if(j < colFormats.length) {
               if(colFormats[j].getColKey() != colsNum[i]) {
                  ++j;
                  continue;
               }

               colFormats[j].setVisiablity(isVisiabled);
            }

            ++i;
            break;
         }
      }

      vo.setVisiablity(table);
      vo.setMultiHead(table);
   }

   private Map getDetailVOS(GlQueryVO qryVO) throws BusinessException {
      HashMap returnMap = new HashMap();
      GlQueryVO qryVO1 = (GlQueryVO)qryVO.clone();
      GlDetailVO[] vo1s = GLPubProxy.getRemoteCommAccBookPub().getDetailBook(qryVO);
      GlDetailVO[] vo2s = new GlDetailVO[0];
      if(!qryVO.getPeriod().equals("01") && !qryVO.getEndPeriod().equals("01")) {
         qryVO1.setPeriod("01");
         String sTmp = qryVO.getPeriod().trim();
         if(sTmp.equals("02")) {
            qryVO1.setEndPeriod("01");
         } else if(sTmp.equals("03")) {
            qryVO1.setEndPeriod("02");
         } else if(sTmp.equals("04")) {
            qryVO1.setEndPeriod("03");
         } else if(sTmp.equals("05")) {
            qryVO1.setEndPeriod("04");
         } else if(sTmp.equals("06")) {
            qryVO1.setEndPeriod("05");
         } else if(sTmp.equals("07")) {
            qryVO1.setEndPeriod("06");
         } else if(sTmp.equals("08")) {
            qryVO1.setEndPeriod("07");
         } else if(sTmp.equals("09")) {
            qryVO1.setEndPeriod("08");
         } else if(sTmp.equals("10")) {
            qryVO1.setEndPeriod("09");
         } else if(sTmp.equals("11")) {
            qryVO1.setEndPeriod("10");
         } else if(sTmp.equals("12")) {
            qryVO1.setEndPeriod("11");
         }

         vo2s = GLPubProxy.getRemoteCommAccBookPub().getDetailBook(qryVO1);
      }

      returnMap.put("vo1s", vo1s);
      returnMap.put("vo2s", vo2s);
      return returnMap;
   }

   public void setTableModel(TableModel model) {
      this.m_model = model;
   }

   public void tackleBnsEvent(String bnTag) throws Exception {
      if(bnTag.equals(ButtonKey.bnQRY)) {
         this.getDlg().showModal();
      } else if(bnTag.equals(ButtonKey.bnPrint)) {
         this.print();
      }

   }

   private void validate(GlQueryVO qryVO, DisplayDataVO disVo) throws Exception {
      String[] pk_glorgbooks = qryVO.getPk_glorgbook();
      if(pk_glorgbooks[0] != null && !pk_glorgbooks[0].equals("")) {
         String[] subref = qryVO.getSubjCodes();
         if(subref[0] != null && !subref[0].equals("")) {
            if(disVo.getBalanceEnd().getDouble() < disVo.getBalanceStart().getDouble()) {
               throw new Exception(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000449"));
            } else if(disVo.getBitCounter() == 0) {
               throw new Exception(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000450"));
            }
         } else {
            throw new Exception(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000448"));
         }
      } else {
         throw new Exception(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000447"));
      }
   }

   public SummaryListView getParentView() {
      return this.parentView;
   }

   public void setParentView(SummaryListView parentView) {
      this.parentView = parentView;
   }
}
